import { NgModule } from "@angular/core";
import { OctopusConnectService } from "./octopus-connect.service";
import { ConfigurationProvider } from "./configuration-provider.class";
var OctopusConnectModule = /** @class */ (function () {
    function OctopusConnectModule() {
    }
    OctopusConnectModule.forRoot = function (configuration) {
        return {
            ngModule: OctopusConnectModule,
            providers: [
                ConfigurationProvider,
                { provide: "configuration", useValue: configuration }
            ]
        };
    };
    OctopusConnectModule.decorators = [
        { type: NgModule, args: [{
                    providers: [
                        OctopusConnectService
                    ]
                },] },
    ];
    /** @nocollapse */
    OctopusConnectModule.ctorParameters = function () { return []; };
    return OctopusConnectModule;
}());
export { OctopusConnectModule };
//# sourceMappingURL=octopus-connect.module.js.map