import { DataConnector } from "./data-connector.class";
import { CollectionOptionsInterface } from "./collection-options.interface";
import { OrderCriteria } from "./order-criteria.interface";
export declare class CollectionPaginator {
    private connector;
    private type;
    private options;
    mfilter: {
        [key: string]: any;
    };
    private _page;
    private _offset;
    private _range;
    private _urlExtension;
    private _orderOptions;
    private _filter;
    count: number;
    hasNextPage: boolean;
    hasPreviousPage: boolean;
    constructor(connector: DataConnector, type: string, options: CollectionOptionsInterface, mfilter: {
        [key: string]: any;
    });
    filter: {
        [key: string]: any;
    };
    page: number;
    offset: number;
    range: number;
    urlExtension: string;
    orderOptions: OrderCriteria[];
    updateCount(count: number): void;
    reload(): void;
}
